Skip to main content
GET
/
instagram
/
audience
cURL
curl -X GET "https://apiv3.creatordb.app/instagram/audience?uniqueId=cristiano" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "audienceLocations": [
      {
        "country": "USA",
        "share": 0.7377
      },
      {
        "country": "GBR",
        "share": 0.0493
      },
      {
        "country": "CAN",
        "share": 0.0409
      }
    ],
    "audienceGender": {
      "maleRatio": 0.7752,
      "femaleRatio": 0.2248
    },
    "audienceAvgAge": 29,
    "audienceAgeBreakdown": [
      {
        "ageRange": "13-17",
        "share": 0.1059
      },
      {
        "ageRange": "18-24",
        "share": 0.3429
      },
      {
        "ageRange": "25-34",
        "share": 0.313
      },
      {
        "ageRange": "35-44",
        "share": 0.1506
      },
      {
        "ageRange": "45-54",
        "share": 0.0572
      },
      {
        "ageRange": "55-64",
        "share": 0.0183
      },
      {
        "ageRange": "65+",
        "share": 0.0121
      }
    ]
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "85dab7361bacc5adc50b6d9e991d528a",
  "timestamp": 1768486538433,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

Instagram account ID. Accepts instagram or @instagram format (@ is stripped automatically).

Required string length: 1 - 31
Pattern: ^@?[a-zA-Z0-9._]+$
Example:

"instagram"

Response

Instagram audience demographic data returned successfully.

data
object
required

Returned audience demographic data of the specified Instagram account.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026